/**
 * Clears all triggers before setting up new ones.
 */
function clearAllTriggers() {
  ScriptApp.getProjectTriggers().forEach(trigger => {
    ScriptApp.deleteTrigger(trigger);
  });
  Logger.log("All existing triggers cleared.");
}

/**
 * Hopefully will allow for easy set up in the future of all triggers.
 */
function setUpTriggers() {
  clearAllTriggers();
  setDailyTrigger();
  uncheckAndClearExpiredRowsTrigger(); 
  dailyUpdateDirectory();
  createTimeDrivenTrigger();
  createEditDrivenTrigger();
  // setSortTimestampsTrigger();
}